-- 
-- Datenbank: `dkess10`
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Bestellposten`
-- 

DROP TABLE Bestellposten;
CREATE TABLE Bestellposten (
  Bestellung int NOT NULL,
  Name varchar(20) NOT NULL,
  Groesse int NOT NULL,
  Anzahl int NOT NULL,
  PRIMARY KEY  (Bestellung,Name,Groesse)
);

-- 
-- Daten fr Tabelle `Bestellposten`
-- 

INSERT INTO Bestellposten (Bestellung, Name, Groesse, Anzahl) VALUES (3297, 'Dianetten', 44, 1);
INSERT INTO Bestellposten (Bestellung, Name, Groesse, Anzahl) VALUES (3297, 'Evaluate Trainer', 43, 1);
INSERT INTO Bestellposten (Bestellung, Name, Groesse, Anzahl) VALUES (7982, 'Delarosa', 37, 1);
INSERT INTO Bestellposten (Bestellung, Name, Groesse, Anzahl) VALUES (7982, 'Kaisy 8200', 37, 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Hersteller`
-- 

DROP TABLE Hersteller;
CREATE TABLE Hersteller (
  Name varchar(20) NOT NULL,
  Land varchar(20) NOT NULL,
  Stadt varchar(20) NOT NULL,
  PRIMARY KEY  (Name)
);

-- 
-- Daten fr Tabelle `Hersteller`
-- 

INSERT INTO Hersteller (Name, Land, Stadt) VALUES ('Bally', 'Schweiz', 'Caslano');
INSERT INTO Hersteller (Name, Land, Stadt) VALUES ('Camper', 'Spanien', 'Inca');
INSERT INTO Hersteller (Name, Land, Stadt) VALUES ('Mephisto', 'Frankreich', 'Sarrebourg');
INSERT INTO Hersteller (Name, Land, Stadt) VALUES ('Reebok', 'USA', 'Canton MA');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Lager`
-- 

DROP TABLE Lager;
CREATE TABLE Lager (
  ProduktName varchar(20) NOT NULL,
  Groesse int NOT NULL,
  Anzahl int NOT NULL,
  PRIMARY KEY (ProduktName,Groesse)
);

-- 
-- Daten fr Tabelle `Lager`
-- 

INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('CA 226130990', 39, 28);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Delarosa', 36, 66);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Delarosa', 37, 87);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Delarosa', 38, 85);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Dianetten', 44, 42);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Dianetten', 45, 22);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Edesio 1965', 41, 57);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Edesio 1965', 42, 63);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Edesio 1965', 43, 74);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Evaluate Trainer', 41, 47);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Evaluate Trainer', 43, 11);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Kaisy 8200', 37, 9);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Kaisy 8200', 38, 16);
INSERT INTO Lager (ProduktName, Groesse, Anzahl) VALUES ('Paris Runner', 42, 7);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `Produkt`
-- 

DROP TABLE Produkt;
CREATE TABLE Produkt (
  Name varchar(20) NOT NULL,
  Hersteller varchar(20) NOT NULL,
  Preis decimal(6,2) NOT NULL,
  PRIMARY KEY  (Name)
);

-- 
-- Daten fr Tabelle `Produkt`
-- 

INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('CA 22225090', 'Camper', 139.90);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('CA 226130990', 'Camper', 135.00);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Delarosa', 'Bally', 350.00);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Dianetten', 'Bally', 220.00);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Edesio 1965', 'Mephisto', 135.00);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Evaluate Trainer', 'Reebok', 49.95);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Kaisy 8200', 'Mephisto', 99.90);
INSERT INTO Produkt (Name, Hersteller, Preis) VALUES ('Paris Runner', 'Reebok', 74.95);

-- --------------------------------------------------------

-- 
-- Constraints der exportierten Tabellen
-- 

-- 
-- Constraints der Tabelle `Bestellposten`
-- 
ALTER TABLE Bestellposten
  ADD CONSTRAINT fk_ProduktName FOREIGN KEY (Name) REFERENCES Produkt (Name);

-- 
-- Constraints der Tabelle `Lager`
-- 
ALTER TABLE Lager
  ADD CONSTRAINT Lager_ibfk_1 FOREIGN KEY (ProduktName) REFERENCES Produkt (Name);

-- 
-- Constraints der Tabelle `Produkt`
-- 
ALTER TABLE Produkt
  ADD CONSTRAINT Produkt_ibfk_1 FOREIGN KEY (Hersteller) REFERENCES Hersteller (Name);